<?php
require_once 'stimulsoft/helper.php';
?>

<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
	<title>Stimulsoft Reports.PHP - Designer</title>
	<style>html, body { font-family: sans-serif; }</style>

	<!-- Stimulsoft Reports.JS -->
	<script src="scripts/stimulsoft.reports.js" type="text/javascript"></script>
	
	<!-- Stimulsoft JS Viewer (for preview tab) and Stimulsoft JS Designer -->
	<script src="scripts/stimulsoft.viewer.js" type="text/javascript"></script>
	<script src="scripts/stimulsoft.designer.js" type="text/javascript"></script>
	
	<!-- Stimulsoft Blockly editor for JS Designer -->
	<script src="scripts/stimulsoft.blockly.editor.js" type="text/javascript"></script>
	
	<?php
		// Add JavaScript helpers and init options to work with the PHP server
		// You can change the handler file and timeout if required
		StiHelper::init('handler.php', 30);
	?>
	
	<script type="text/javascript">
		var options = new Stimulsoft.Designer.StiDesignerOptions();
		options.appearance.fullScreenMode = true;

		var designer = new Stimulsoft.Designer.StiDesigner(options, "StiDesigner", false);

        function loadJsonFile(filePath) {
            return fetch(filePath)
                .then(response => {
                    if (!response.ok) {
                        throw new Error('err net');
                    }
                    return response.json();
                })
                .catch(error => {
                    console.error('error fetch: ', error);
                });
        }

        const jsonFilePath = 'reports/pensionlistdata.json';

        var report = new Stimulsoft.Report.StiReport();
        report.loadFile("reports/pensionlist.mrt");
        report.culture = "de-DE";
        var dataSet = new Stimulsoft.System.Data.DataSet("data");

        loadJsonFile(jsonFilePath).then(reportdata => {
            dataSet.readJson(reportdata);
            report.regData(dataSet.dataSetName, "", dataSet);
        });
        
		// Assigning a report to the Designer:
		designer.report = report;
		
		// After loading the HTML page, display the visual part of the Designer in the specified container.
		function onLoad() {
			designer.renderHtml("designerContent");
		}
	</script>
</head>
<body onload="onLoad();">
	<div id="designerContent"></div>
</body>
</html>
